#include "bbtabwin.h"


PFNWTINFO pfWTInfo = 0;
PFNWTOPEN pfWTOpen = 0;
PFNWTCLOSE pfWTClose = 0;
PFNWTGET  pfWTGet  = 0;
PFNWTPACKETSGET pfWTPacketsGet = 0;
PFNWTQUEUEPACKETSEX pfWTQueuePacketsEx = 0;


int initWintabDLL()
{
  HINSTANCE dllinst = LoadLibrary("wintab32.dll");
  if  (!dllinst) {
    // couldn't find wintab library, return failure code.
    return 1;
  }

#ifdef UNICODE
  pfWTInfo =   (PFNWTINFO) GetProcAddress(dllinst, "WTInfoW");
  pfWTOpen =   (PFNWTOPEN) GetProcAddress(dllinst, "WTOpenW");
  pfWTGet  =    (PFNWTGET) GetProcAddress(dllinst, "WTGetW");
#else /* !UNICODE */
  pfWTInfo =   (PFNWTINFO) GetProcAddress(dllinst, "WTInfoA");
  pfWTOpen =   (PFNWTOPEN) GetProcAddress(dllinst, "WTOpenA");
  pfWTGet  =    (PFNWTGET) GetProcAddress(dllinst, "WTGetA");
#endif

  // these don't have unicode / nonunicode versions
  pfWTPacketsGet = 
    (PFNWTPACKETSGET) GetProcAddress(dllinst, "WTPacketsGet");
  pfWTQueuePacketsEx = 
    (PFNWTQUEUEPACKETSEX) GetProcAddress(dllinst, "WTQueuePacketsEx");
  pfWTClose =   (PFNWTCLOSE) GetProcAddress(dllinst, "WTClose");

  if ( pfWTInfo  &&
       pfWTOpen  &&
       pfWTClose &&
       pfWTGet   &&
       pfWTPacketsGet &&
       pfWTQueuePacketsEx )
  {
    // All functions found, OK, Let's Rock
    return 0;
  }

  return 2; // some functions not located.
}
