//============================================================================
// bbtabwin.h
//
//  Function pointers/prototypes to wintab32 dll functions.
//  Looked up from dll dynamically so that DLL need not be linked with 
//  explicity.  This way programs will run even if WinTab32.dll is not
//  present (just without tablet support).
//
//
//============================================================================
//  Copyright 2002 
//        William Baxter
//        The University of North Carolina at Chapel Hill
// 
//  Permission to use, copy, modify, distribute and sell this software
//  and its documentation for any purpose is hereby granted without
//  fee, provided that the above copyright notice appear in all copies
//  and that both that copyright notice and this permission notice
//  appear in supporting documentation.  Binaries may be compiled with
//  this software without any royalties or restrictions.
// 
//  The University of North Carolina at Chapel Hill makes no
//  representations about the suitability of this software for any
//  purpose. It is provided "as is" without express or implied
//  warranty.
//============================================================================

// HERE'S WHAT WE USE OF THE WINTAB API:
/*
UINT API WTInfo(UINT, UINT, LPVOID);
HCTX API WTOpen(HWND, LPLOGCONTEXT, BOOL);
BOOL API WTGet(HCTX, LPLOGCONTEXT);
BOOL API WTQueuePacketsEx(HCTX, UINT FAR *, UINT FAR *);
int API WTPacketsGet(HCTX, int, LPVOID);
*/

// Here are function pointer types for those
#ifndef BB_TABWIN_H
#define BB_TABWIN_H

#include <windows.h> // just for the windows types
#define NOWTFUNCTIONS
#include <wintab.h>

typedef UINT (API*PFNWTINFO)(UINT, UINT, LPVOID);
typedef HCTX (API*PFNWTOPEN)(HWND, LPLOGCONTEXT, BOOL);
typedef BOOL (API*PFNWTCLOSE)(HCTX);
typedef BOOL (API*PFNWTGET)(HCTX, LPLOGCONTEXT);
typedef int  (API*PFNWTPACKETSGET)(HCTX, int, LPVOID);
typedef BOOL (API*PFNWTQUEUEPACKETSEX)(HCTX, UINT FAR *, UINT FAR *);

extern PFNWTINFO pfWTInfo;
extern PFNWTOPEN pfWTOpen;
extern PFNWTCLOSE pfWTClose;
extern PFNWTGET  pfWTGet;
extern PFNWTPACKETSGET pfWTPacketsGet;
extern PFNWTQUEUEPACKETSEX pfWTQueuePacketsEx;

int initWintabDLL();

#endif /* BB_TABWIN_H */
